org.apache.uima.collection.base_cpm

## Class CasDataConsumer_ImplBase

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.resource.ConfigurableResource_ImplBase
    - - org.apache.uima.collection.base_cpm.CasDataConsumer_ImplBase

- All Implemented Interfaces:
    CasDataConsumer, CasDataProcessor, CasProcessor, ConfigurableResource, Resource

      public abstract class CasDataConsumer_ImplBase
      extends ConfigurableResource_ImplBase
      implements CasDataConsumer

  Base class from which to extend when writing CAS Consumers that use the `CasData` interface to access the CAS.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasDataConsumer_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Releases all resources held by this `Resource`.
    `ProcessingResourceMetaData` | `getProcessingResourceMetaData()` Gets the metadata that describes this `CasProcesor`.
    `void` | `initialize()` This method is called during initialization, and does nothing by default.
    `boolean` | `initialize(ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams)` Called by the framework to initialize this CAS Consumer.
    `boolean` | `isReadOnly()` Gets whether this is a read-only CAS Processor, which does not modify the CAS.
    `boolean` | `isStateless()` Gets whether this is a stateless CAS Processor.

    - ### Methods inherited from class org.apache.uima.resource.ConfigurableResource_ImplBase

      `getConfigParameterValue, getConfigParameterValue, reconfigure, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `getCasManager, getLogger, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger, setMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasDataConsumer

      `batchProcessComplete, collectionProcessComplete`

    - ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

      `getConfigParameterValue, getConfigParameterValue, reconfigure, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasDataProcessor

      `process, process`

- - ### Constructor Detail

    - #### CasDataConsumer_ImplBase

          public CasDataConsumer_ImplBase()

  - ### Method Detail

    - #### initialize

          public boolean initialize(ResourceSpecifier aSpecifier,
                                    Map<String,Object> aAdditionalParams)
                             throws ResourceInitializationException

      Called by the framework to initialize this CAS Consumer. Subclasses should NOT override this method; instead they should override the zero-argument `initialize()` method and access metadata via the `getProcessingResourceMetaData()` method. This method is non-final only for legacy reasons.
      Specified by:
        `initialize` in interface `Resource`
      Overrides:
        `initialize` in class `Resource_ImplBase`
      Parameters:
        `aSpecifier` - specifies how to create a resource or locate an existing resource service.
        `aAdditionalParams` - a Map containing additional parameters. May be `null` if there are no parameters. Each class that implements this interface can decide what additional parameters it supports.
      Returns:
        true if and only if initialization completed successfully. Reutrns false if the given `ResourceSpecifier` is not of an appropriate type for this Resource. If the `ResourceSpecifier` is of an appropriate type but is invalid or if some other failure occurs, an exception should be thrown.
      Throws:
        `ResourceInitializationException` - if a failure occurs during initialization.
      See Also:
        `Resource.initialize(org.apache.uima.resource.ResourceSpecifier, java.util.Map)`

    - #### initialize

          public void initialize()
                          throws ResourceInitializationException

      This method is called during initialization, and does nothing by default. Subclasses should override it to perform one-time startup logic.
      Throws:
        `ResourceInitializationException` - if a failure occurs during initialization.

    - #### destroy

          public void destroy()

      Description copied from interface: `Resource`
      Releases all resources held by this `Resource`.
      Specified by:
        `destroy` in interface `Resource`
      Overrides:
        `destroy` in class `Resource_ImplBase`
      See Also:
        `Resource.destroy()`

    - #### isStateless

          public boolean isStateless()

      Description copied from interface: `CasProcessor`
      Gets whether this is a stateless CAS Processor. Stateless CAS Processors do not maintain any data between calls to their process methods.
      Specified by:
        `isStateless` in interface `CasProcessor`
      Returns:
        true if this CAS processor is stateless, false if it is stateful.
      See Also:
        `CasProcessor.isStateless()`

    - #### isReadOnly

          public boolean isReadOnly()

      Description copied from interface: `CasProcessor`
      Gets whether this is a read-only CAS Processor, which does not modify the CAS.
      Specified by:
        `isReadOnly` in interface `CasProcessor`
      Returns:
        true if this CAS processor does not modify the CAS, false if it does.
      See Also:
        `CasProcessor.isReadOnly()`

    - #### getProcessingResourceMetaData

          public ProcessingResourceMetaData getProcessingResourceMetaData()

      Description copied from interface: `CasProcessor`
      Gets the metadata that describes this `CasProcesor`.
      Specified by:
        `getProcessingResourceMetaData` in interface `CasProcessor`
      Returns:
        an object containing all metadata for this CasProcessor
      See Also:
        `CasProcessor.getProcessingResourceMetaData()`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.